#!/bin/sh

# kurento-pointerdetector installer for Ubuntu 14.04
if [ `id -u` -ne 0 ]; then
    echo ""
    echo "Only root can start kurento-pointerdetector"
    echo ""
    exit 1
fi

APP_HOME=$(dirname $(dirname $(readlink -f $0)))
CONFIG_FILE="$APP_HOME/config/configuration.conf.json"

# Create defaults
mkdir -p /etc/default
cat > /etc/default/kurento-pointerdetector <<-EOF
# Defaults for kurento-pointerdetector initscript
# sourced by /etc/init.d/kurento-pointerdetector
# installed at /etc/default/kurento-pointerdetector by the maintainer scripts

#
# This is a POSIX shell fragment
#

# Commment next line to disable kurento-pointerdetector daemon
START_DAEMON=true

# Whom the daemons should run as
DAEMON_USER=nobody
EOF

# Install binaries
install -o root -g root -m 755 $APP_HOME/bin/start.sh /usr/bin/kurento-pointerdetector
install -o root -g root -m 755 $APP_HOME/support-files/kurento-demo.sh /etc/init.d/kurento-pointerdetector
mkdir -p /var/lib/kurento
install -o root -g root $APP_HOME/lib/kurento-pointerdetector.jar /var/lib/kurento/
[ -f $CONFIG_FILE ] && ( mkdir -p /etc/kurento/ && install -o root -g root $CONFIG_FILE /etc/kurento/kurento-pointerdetector.conf.json )

# enable kurento-pointerdetector start at boot time
# update-rc.d kurento-pointerdetector defaults

# start kurento-pointerdetector
/etc/init.d/kurento-pointerdetector restart
